Subject: Re: [PATCH] pkt_sched: Control group classifier

From: Andi Kleen <[email-masked]>
Date: Sat, 18 Oct 2008 07:38:10 +0200

On Fri, Oct 17, 2008 at 10:09:16PM +0200, Thomas Graf wrote:
> * Andi Kleen <[email-masked]> 2008-10-17 20:32
> > > softirq_count() simply counts the levels of bh disable.
> > 
> > softirqs always have bh disabled.  So it's always true inside them.
> > And you should know what _bh locks you hold.
> 
> I actually tried "softirq_count() == SOFTIRQ_OFFSET" to see if the

softirq_count() > 0 should work.

> I found explicitely counting softirq_enter() to be more reliable
> without having much of a performance impact. I'm happy with both
> solutions though.

I doubt you'll need a separate ocunter.

-Andi 

-- 
[email-masked]